## UDisksManagerVDO UDisksManagerVDO — Generated C code for the org.freedesktop.UDisks2.Manager.VDO D-Bus interface |

## Functions

void | udisks_manager_vdo_call_create_volume ()
gboolean | udisks_manager_vdo_call_create_volume_finish ()
gboolean | udisks_manager_vdo_call_create_volume_sync ()
void | udisks_manager_vdo_call_activate_volume_by_name ()
gboolean | udisks_manager_vdo_call_activate_volume_by_name_finish ()
gboolean | udisks_manager_vdo_call_activate_volume_by_name_sync ()
void | udisks_manager_vdo_call_start_volume_by_name ()
gboolean | udisks_manager_vdo_call_start_volume_by_name_finish ()
gboolean | udisks_manager_vdo_call_start_volume_by_name_sync ()
void | udisks_manager_vdo_complete_create_volume ()
void | udisks_manager_vdo_complete_activate_volume_by_name ()
void | udisks_manager_vdo_complete_start_volume_by_name ()
GDBusInterfaceInfo * | udisks_manager_vdo_interface_info ()
guint | udisks_manager_vdo_override_properties ()
void | udisks_manager_vdo_proxy_new ()
UDisksManagerVDO * | udisks_manager_vdo_proxy_new_finish ()
UDisksManagerVDO * | udisks_manager_vdo_proxy_new_sync ()
void | udisks_manager_vdo_proxy_new_for_bus ()
UDisksManagerVDO * | udisks_manager_vdo_proxy_new_for_bus_finish ()
UDisksManagerVDO * | udisks_manager_vdo_proxy_new_for_bus_sync ()
UDisksManagerVDO * | udisks_manager_vdo_skeleton_new ()

## Signals

gboolean | handle-activate-volume-by-name | Run Last
gboolean | handle-create-volume | Run Last
gboolean | handle-start-volume-by-name | Run Last

## Types and Values

| UDisksManagerVDO
struct | UDisksManagerVDOIface
struct | UDisksManagerVDOProxy
struct | UDisksManagerVDOProxyClass
struct | UDisksManagerVDOSkeleton
struct | UDisksManagerVDOSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerVDO
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksManagerVDOSkeleton
        ╰── GDBusProxy
            ╰── UDisksManagerVDOProxy

## Prerequisites

UDisksManagerVDO requires GObject.

## Implemented Interfaces

UDisksManagerVDOProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManagerVDO.

UDisksManagerVDOSkeleton implements GDBusInterface and UDisksManagerVDO.

## Known Implementations

UDisksManagerVDO is implemented by UDisksManagerVDOProxy and UDisksManagerVDOSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.VDO D-Bus interface in C.

## Functions

### udisks_manager_vdo_call_create_volume ()

    void
    udisks_manager_vdo_call_create_volume (UDisksManagerVDO *proxy,
                                           const gchar *arg_name,
                                           const gchar *arg_device,
                                           guint64 arg_logical_size,
                                           guint64 arg_index_memory,
                                           gboolean arg_compression,
                                           gboolean arg_deduplication,
                                           const gchar *arg_write_policy,
                                           GVariant *arg_options,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Asynchronously invokes the `CreateVolume()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_vdo_call_create_volume_finish()` to get the result of the operation.

See `udisks_manager_vdo_call_create_volume_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_device | Argument to pass with the method invocation. |
arg_logical_size | Argument to pass with the method invocation. |
arg_index_memory | Argument to pass with the method invocation. |
arg_compression | Argument to pass with the method invocation. |
arg_deduplication | Argument to pass with the method invocation. |
arg_write_policy | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_manager_vdo_call_create_volume_finish ()

    gboolean
    udisks_manager_vdo_call_create_volume_finish
                                   (UDisksManagerVDO *proxy,
                                    gchar **out_vdo,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_vdo_call_create_volume()`.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
out_vdo | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_vdo_call_create_volume()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_call_create_volume_sync ()

    gboolean
    udisks_manager_vdo_call_create_volume_sync
                                   (UDisksManagerVDO *proxy,
                                    const gchar *arg_name,
                                    const gchar *arg_device,
                                    guint64 arg_logical_size,
                                    guint64 arg_index_memory,
                                    gboolean arg_compression,
                                    gboolean arg_deduplication,
                                    const gchar *arg_write_policy,
                                    GVariant *arg_options,
                                    gchar **out_vdo,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateVolume()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_vdo_call_create_volume()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_device | Argument to pass with the method invocation. |
arg_logical_size | Argument to pass with the method invocation. |
arg_index_memory | Argument to pass with the method invocation. |
arg_compression | Argument to pass with the method invocation. |
arg_deduplication | Argument to pass with the method invocation. |
arg_write_policy | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_vdo | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_call_activate_volume_by_name ()

    void
    udisks_manager_vdo_call_activate_volume_by_name
                                   (UDisksManagerVDO *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `ActivateVolumeByName()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_vdo_call_activate_volume_by_name_finish()` to get the result of the operation.

See `udisks_manager_vdo_call_activate_volume_by_name_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_manager_vdo_call_activate_volume_by_name_finish ()

    gboolean
    udisks_manager_vdo_call_activate_volume_by_name_finish
                                   (UDisksManagerVDO *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_vdo_call_activate_volume_by_name()`.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_vdo_call_activate_volume_by_name()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_call_activate_volume_by_name_sync ()

    gboolean
    udisks_manager_vdo_call_activate_volume_by_name_sync
                                   (UDisksManagerVDO *proxy,
                                    const gchar *arg_name,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `ActivateVolumeByName()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_vdo_call_activate_volume_by_name()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_call_start_volume_by_name ()

    void
    udisks_manager_vdo_call_start_volume_by_name
                                   (UDisksManagerVDO *proxy,
                                    const gchar *arg_name,
                                    gboolean arg_force_rebuild,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `StartVolumeByName()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_vdo_call_start_volume_by_name_finish()` to get the result of the operation.

See `udisks_manager_vdo_call_start_volume_by_name_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_force_rebuild | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_manager_vdo_call_start_volume_by_name_finish ()

    gboolean
    udisks_manager_vdo_call_start_volume_by_name_finish
                                   (UDisksManagerVDO *proxy,
                                    gchar **out_vdo,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_vdo_call_start_volume_by_name()`.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
out_vdo | Return location for return parameter or `NULL` to ignore. | [out]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_vdo_call_start_volume_by_name()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_call_start_volume_by_name_sync ()

    gboolean
    udisks_manager_vdo_call_start_volume_by_name_sync
                                   (UDisksManagerVDO *proxy,
                                    const gchar *arg_name,
                                    gboolean arg_force_rebuild,
                                    GVariant *arg_options,
                                    gchar **out_vdo,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `StartVolumeByName()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_manager_vdo_call_start_volume_by_name()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksManagerVDOProxy. |
arg_name | Argument to pass with the method invocation. |
arg_force_rebuild | Argument to pass with the method invocation. |
arg_options | Argument to pass with the method invocation. |
out_vdo | Return location for return parameter or `NULL` to ignore. | [out]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

Since: 2.8.0

### udisks_manager_vdo_complete_create_volume ()

    void
    udisks_manager_vdo_complete_create_volume
                                   (UDisksManagerVDO *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *vdo);

Helper function used in service implementations to finish handling invocations of the `CreateVolume()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]
vdo | Parameter to return. |

Since: 2.8.0

### udisks_manager_vdo_complete_activate_volume_by_name ()

    void
    udisks_manager_vdo_complete_activate_volume_by_name
                                   (UDisksManagerVDO *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `ActivateVolumeByName()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.8.0

### udisks_manager_vdo_complete_start_volume_by_name ()

    void
    udisks_manager_vdo_complete_start_volume_by_name
                                   (UDisksManagerVDO *object,
                                    GDBusMethodInvocation *invocation,
                                    const gchar *vdo);

Helper function used in service implementations to finish handling invocations of the `StartVolumeByName()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. | [transfer full]
vdo | Parameter to return. |

Since: 2.8.0

### udisks_manager_vdo_interface_info ()

    GDBusInterfaceInfo *
    udisks_manager_vdo_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.Manager.VDO D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 2.8.0

### udisks_manager_vdo_override_properties ()

    guint
    udisks_manager_vdo_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksManagerVDO interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 2.8.0

### udisks_manager_vdo_proxy_new ()

    void
    udisks_manager_vdo_proxy_new (GDBusConnection *connection,
                                  GDBusProxyFlags flags,
                                  const gchar *name,
                                  const gchar *object_path,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_vdo_proxy_new_finish()` to get the result of the operation.

See `udisks_manager_vdo_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_manager_vdo_proxy_new_finish ()

    UDisksManagerVDO *
    udisks_manager_vdo_proxy_new_finish (GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `udisks_manager_vdo_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_vdo_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerVDOProxy]

Since: 2.8.0

### udisks_manager_vdo_proxy_new_sync ()

    UDisksManagerVDO *
    udisks_manager_vdo_proxy_new_sync (GDBusConnection *connection,
                                       GDBusProxyFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_manager_vdo_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerVDOProxy]

Since: 2.8.0

### udisks_manager_vdo_proxy_new_for_bus ()

    void
    udisks_manager_vdo_proxy_new_for_bus (GBusType bus_type,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Like `udisks_manager_vdo_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `udisks_manager_vdo_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_manager_vdo_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.8.0

### udisks_manager_vdo_proxy_new_for_bus_finish ()

    UDisksManagerVDO *
    udisks_manager_vdo_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_manager_vdo_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_manager_vdo_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerVDOProxy]

Since: 2.8.0

### udisks_manager_vdo_proxy_new_for_bus_sync ()

    UDisksManagerVDO *
    udisks_manager_vdo_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_manager_vdo_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_manager_vdo_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksManagerVDOProxy]

Since: 2.8.0

### udisks_manager_vdo_skeleton_new ()

    UDisksManagerVDO *
    udisks_manager_vdo_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO.

#### Returns

The skeleton object.

[transfer full][type UDisksManagerVDOSkeleton]

Since: 2.8.0

## Types and Values

### UDisksManagerVDO

    typedef struct _UDisksManagerVDO UDisksManagerVDO;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO.

Since: 2.8.0

### struct UDisksManagerVDOIface

    struct UDisksManagerVDOIface {
      GTypeInterface parent_iface;

      gboolean (*handle_activate_volume_by_name) (
        UDisksManagerVDO *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        GVariant *arg_options);

      gboolean (*handle_create_volume) (
        UDisksManagerVDO *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        const gchar *arg_device,
        guint64 arg_logical_size,
        guint64 arg_index_memory,
        gboolean arg_compression,
        gboolean arg_deduplication,
        const gchar *arg_write_policy,
        GVariant *arg_options);

      gboolean (*handle_start_volume_by_name) (
        UDisksManagerVDO *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_name,
        gboolean arg_force_rebuild,
        GVariant *arg_options);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_activate_volume_by_name` () | Handler for the “handle-activate-volume-by-name” signal. |
`handle_create_volume` () | Handler for the “handle-create-volume” signal. |
`handle_start_volume_by_name` () | Handler for the “handle-start-volume-by-name” signal. |

Since: 2.8.0

### struct UDisksManagerVDOProxy

    struct UDisksManagerVDOProxy;

The UDisksManagerVDOProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksManagerVDOProxyClass

    struct UDisksManagerVDOProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksManagerVDOProxy.

#### Members

Since: 2.8.0

### struct UDisksManagerVDOSkeleton

    struct UDisksManagerVDOSkeleton;

The UDisksManagerVDOSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksManagerVDOSkeletonClass

    struct UDisksManagerVDOSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksManagerVDOSkeleton.

#### Members

Since: 2.8.0

## Signal Details

### The `“handle-activate-volume-by-name”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ActivateVolumeByName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_activate_volume_by_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-create-volume”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   gchar                 *arg_device,
                   guint64                arg_logical_size,
                   guint64                arg_index_memory,
                   gboolean               arg_compression,
                   gboolean               arg_deduplication,
                   gchar                 *arg_write_policy,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateVolume()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_create_volume()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_device | Argument passed by remote caller. |
arg_logical_size | Argument passed by remote caller. |
arg_index_memory | Argument passed by remote caller. |
arg_compression | Argument passed by remote caller. |
arg_deduplication | Argument passed by remote caller. |
arg_write_policy | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-start-volume-by-name”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   gboolean               arg_force_rebuild,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `StartVolumeByName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_start_volume_by_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_force_rebuild | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0